## org.apache.fop.tools.anttasks
Class CompileXMLFiles

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.fop.tools.anttasks.CompileXMLFiles

public class CompileXMLFiles
extends org.apache.tools.ant.Task
implements org.xml.sax.EntityResolver, org.xml.sax.DTDHandler, org.xml.sax.DocumentHandler, org.xml.sax.ErrorHandler

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType`

Constructor Summary
`CompileXMLFiles()`

Method Summary
`void` `characters(char[] ch, int start, int length)`
`void` `endDocument()`
`void` `endElement(java.lang.String name)`
`void` `error(org.xml.sax.SAXParseException e)`
`void` `execute()`
`void` `fatalError(org.xml.sax.SAXParseException e)`
`protected static org.xml.sax.InputSource` `fileInputSource(java.lang.String filename)` create an InputSource from a file name
`void` `ignorableWhitespace(char[] ch, int start, int length)`
`void` `notationDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId)`
`void` `processingInstruction(java.lang.String target, java.lang.String data)`
`org.xml.sax.InputSource` `resolveEntity(java.lang.String publicId, java.lang.String systemId)`
`void` `setConfigFile(java.lang.String configFile)`
`void` `setDocumentLocator(org.xml.sax.Locator locator)`
`void` `setOutFile(java.lang.String outFile)`
`void` `startDocument()`
`void` `startElement(java.lang.String name, org.xml.sax.AttributeList atts)`
`void` `unparsedEntityDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId, java.lang.String notationName)`
`void` `warning(org.xml.sax.SAXParseException e)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getTaskName, init, log, log, setDescription, setLocation, setOwningTarget, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompileXMLFiles

    public CompileXMLFiles()

Method Detail

### setConfigFile

    public void setConfigFile(java.lang.String configFile)

### setOutFile

    public void setOutFile(java.lang.String outFile)

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    execute in class org.apache.tools.ant.Task

### resolveEntity

    public org.xml.sax.InputSource resolveEntity(java.lang.String publicId,
                                                 java.lang.String systemId)
                                          throws org.xml.sax.SAXException

  Specified by:
    resolveEntity in interface org.xml.sax.EntityResolver

### notationDecl

    public void notationDecl(java.lang.String name,
                             java.lang.String publicId,
                             java.lang.String systemId)

  Specified by:
    notationDecl in interface org.xml.sax.DTDHandler

### unparsedEntityDecl

    public void unparsedEntityDecl(java.lang.String name,
                                   java.lang.String publicId,
                                   java.lang.String systemId,
                                   java.lang.String notationName)

  Specified by:
    unparsedEntityDecl in interface org.xml.sax.DTDHandler

### setDocumentLocator

    public void setDocumentLocator(org.xml.sax.Locator locator)

  Specified by:
    setDocumentLocator in interface org.xml.sax.DocumentHandler

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Specified by:
    startDocument in interface org.xml.sax.DocumentHandler

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Specified by:
    endDocument in interface org.xml.sax.DocumentHandler

### startElement

    public void startElement(java.lang.String name,
                             org.xml.sax.AttributeList atts)
                      throws org.xml.sax.SAXException

  Specified by:
    startElement in interface org.xml.sax.DocumentHandler

### endElement

    public void endElement(java.lang.String name)
                    throws org.xml.sax.SAXException

  Specified by:
    endElement in interface org.xml.sax.DocumentHandler

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  Specified by:
    characters in interface org.xml.sax.DocumentHandler

### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                                    int start,
                                    int length)
                             throws org.xml.sax.SAXException

  Specified by:
    ignorableWhitespace in interface org.xml.sax.DocumentHandler

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws org.xml.sax.SAXException

  Specified by:
    processingInstruction in interface org.xml.sax.DocumentHandler

### warning

    public void warning(org.xml.sax.SAXParseException e)
                 throws org.xml.sax.SAXException

  Specified by:
    warning in interface org.xml.sax.ErrorHandler

### error

    public void error(org.xml.sax.SAXParseException e)
               throws org.xml.sax.SAXException

  Specified by:
    error in interface org.xml.sax.ErrorHandler

### fatalError

    public void fatalError(org.xml.sax.SAXParseException e)
                    throws org.xml.sax.SAXException

  Specified by:
    fatalError in interface org.xml.sax.ErrorHandler

### fileInputSource

    protected static org.xml.sax.InputSource fileInputSource(java.lang.String filename)

  create an InputSource from a file name
  Parameters:
    `filename` - the name of the file
  Returns:
    the InputSource created

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.